#include <bits/stdc++.h>

using namespace std;

int main() {
  int n,l;
  cin >> n >> l;
  vector<int> a(n);
  for (int i = 0; i < n; i++) {
    cin >> a[i];
  }
  int ans = -1;
  for (int i = 0; i < n; i++) {
    if(a[i] <= l){
      ans = i+1;
      break;
    }
  }
  cout << ans << endl;
  return 0;
}